## ev-link-dest

ev-link-dest —

## Synopsis

                EvLinkDest;
                EvLinkDestClass;
                EvLinkDestPrivate;
    #define     EV_TYPE_LINK_DEST_TYPE
    enum        EvLinkDestType;
    GType       ev_link_dest_get_type           (void);
    EvLinkDestType ev_link_dest_get_dest_type   (EvLinkDest *self);
    gint        ev_link_dest_get_page           (EvLinkDest *self);
    gdouble     ev_link_dest_get_top            (EvLinkDest *self);
    gdouble     ev_link_dest_get_left           (EvLinkDest *self);
    gdouble     ev_link_dest_get_bottom         (EvLinkDest *self);
    gdouble     ev_link_dest_get_right          (EvLinkDest *self);
    gdouble     ev_link_dest_get_zoom           (EvLinkDest *self);
    const gchar* ev_link_dest_get_named_dest    (EvLinkDest *self);
    const gchar* ev_link_dest_get_page_label    (EvLinkDest *self);
    EvLinkDest* ev_link_dest_new_page           (gint page);
    EvLinkDest* ev_link_dest_new_xyz            (gint page,
                                                 gdouble left,
                                                 gdouble top,
                                                 gdouble zoom);
    EvLinkDest* ev_link_dest_new_fit            (gint page);
    EvLinkDest* ev_link_dest_new_fith           (gint page,
                                                 gdouble top);
    EvLinkDest* ev_link_dest_new_fitv           (gint page,
                                                 gdouble left);
    EvLinkDest* ev_link_dest_new_fitr           (gint page,
                                                 gdouble left,
                                                 gdouble bottom,
                                                 gdouble right,
                                                 gdouble top);
    EvLinkDest* ev_link_dest_new_named          (const gchar *named_dest);
    EvLinkDest* ev_link_dest_new_page_label     (const gchar *page_label);

## Object Hierarchy

      GObject
       +----EvLinkDest

## Properties

      "bottom"               gdouble               : Read / Write / Construct Only
      "left"                 gdouble               : Read / Write / Construct Only
      "named"                gchararray            : Read / Write / Construct Only
      "page"                 gint                  : Read / Write / Construct Only
      "page-label"           gchararray            : Read / Write / Construct Only
      "right"                gdouble               : Read / Write / Construct Only
      "top"                  gdouble               : Read / Write / Construct Only
      "type"                 EvLinkDestType        : Read / Write / Construct Only
      "zoom"                 gdouble               : Read / Write / Construct Only

## Description

## Details

### EvLinkDest

    typedef struct _EvLinkDest EvLinkDest;

### EvLinkDestClass

    typedef struct _EvLinkDestClass EvLinkDestClass;

### EvLinkDestPrivate

    typedef struct _EvLinkDestPrivate EvLinkDestPrivate;

### EV_TYPE_LINK_DEST_TYPE

    #define EV_TYPE_LINK_DEST_TYPE         (ev_link_dest_type_get_type ())

### enum EvLinkDestType

    typedef enum {
    	EV_LINK_DEST_TYPE_PAGE,
    	EV_LINK_DEST_TYPE_XYZ,
    	EV_LINK_DEST_TYPE_FIT,
    	EV_LINK_DEST_TYPE_FITH,
    	EV_LINK_DEST_TYPE_FITV,
    	EV_LINK_DEST_TYPE_FITR,
    	EV_LINK_DEST_TYPE_NAMED,
    	EV_LINK_DEST_TYPE_PAGE_LABEL,
    	EV_LINK_DEST_TYPE_UNKNOWN
    } EvLinkDestType;

### ev_link_dest_get_type ()

    GType       ev_link_dest_get_type           (void);

Returns : |

### ev_link_dest_get_dest_type ()

    EvLinkDestType ev_link_dest_get_dest_type   (EvLinkDest *self);

`self` : |
Returns : |

### ev_link_dest_get_page ()

    gint        ev_link_dest_get_page           (EvLinkDest *self);

`self` : |
Returns : |

### ev_link_dest_get_top ()

    gdouble     ev_link_dest_get_top            (EvLinkDest *self);

`self` : |
Returns : |

### ev_link_dest_get_left ()

    gdouble     ev_link_dest_get_left           (EvLinkDest *self);

`self` : |
Returns : |

### ev_link_dest_get_bottom ()

    gdouble     ev_link_dest_get_bottom         (EvLinkDest *self);

`self` : |
Returns : |

### ev_link_dest_get_right ()

    gdouble     ev_link_dest_get_right          (EvLinkDest *self);

`self` : |
Returns : |

### ev_link_dest_get_zoom ()

    gdouble     ev_link_dest_get_zoom           (EvLinkDest *self);

`self` : |
Returns : |

### ev_link_dest_get_named_dest ()

    const gchar* ev_link_dest_get_named_dest    (EvLinkDest *self);

`self` : |
Returns : |

### ev_link_dest_get_page_label ()

    const gchar* ev_link_dest_get_page_label    (EvLinkDest *self);

`self` : |
Returns : |

### ev_link_dest_new_page ()

    EvLinkDest* ev_link_dest_new_page           (gint page);

`page` : |
Returns : |

### ev_link_dest_new_xyz ()

    EvLinkDest* ev_link_dest_new_xyz            (gint page,
                                                 gdouble left,
                                                 gdouble top,
                                                 gdouble zoom);

`page` : |
`left` : |
`top` : |
`zoom` : |
Returns : |

### ev_link_dest_new_fit ()

    EvLinkDest* ev_link_dest_new_fit            (gint page);

`page` : |
Returns : |

### ev_link_dest_new_fith ()

    EvLinkDest* ev_link_dest_new_fith           (gint page,
                                                 gdouble top);

`page` : |
`top` : |
Returns : |

### ev_link_dest_new_fitv ()

    EvLinkDest* ev_link_dest_new_fitv           (gint page,
                                                 gdouble left);

`page` : |
`left` : |
Returns : |

### ev_link_dest_new_fitr ()

    EvLinkDest* ev_link_dest_new_fitr           (gint page,
                                                 gdouble left,
                                                 gdouble bottom,
                                                 gdouble right,
                                                 gdouble top);

`page` : |
`left` : |
`bottom` : |
`right` : |
`top` : |
Returns : |

### ev_link_dest_new_named ()

    EvLinkDest* ev_link_dest_new_named          (const gchar *named_dest);

`named_dest` : |
Returns : |

### ev_link_dest_new_page_label ()

    EvLinkDest* ev_link_dest_new_page_label     (const gchar *page_label);

`page_label` : |
Returns : |

## Property Details

### The "`bottom`" property

      "bottom"               gdouble               : Read / Write / Construct Only

The bottom coordinate.

Default value: 0

### The "`left`" property

      "left"                 gdouble               : Read / Write / Construct Only

The left coordinate.

Default value: 0

### The "`named`" property

      "named"                gchararray            : Read / Write / Construct Only

The named destination.

Default value: NULL

### The "`page`" property

      "page"                 gint                  : Read / Write / Construct Only

The destination page.

Allowed values: >= -1

Default value: 0

### The "`page-label`" property

      "page-label"           gchararray            : Read / Write / Construct Only

The label of the destination page.

Default value: NULL

### The "`right`" property

      "right"                gdouble               : Read / Write / Construct Only

The right coordinate.

Default value: 0

### The "`top`" property

      "top"                  gdouble               : Read / Write / Construct Only

The top coordinate.

Default value: 0

### The "`type`" property

      "type"                 EvLinkDestType        : Read / Write / Construct Only

The destination type.

Default value: EV_LINK_DEST_TYPE_UNKNOWN

### The "`zoom`" property

      "zoom"                 gdouble               : Read / Write / Construct Only

Zoom.

Allowed values: >= 0

Default value: 0